from typing import TypedDict, Optional


class Server(TypedDict):
    """
- Contains connection details for a server

!!! danger "Required Keys"

    __address__: IP or DNS address of the server.

    __username__: Username for authentication.

    __password__: Password for authentication.

    __name__: Server name.

!!! info "Optional Keys"

    __port__: The TCP connection port (defaults to `139`).
    """

    address: str
    username: str
    password: str
    name: str
    port: Optional[int] = 139
